Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::NormsWriterPerField Class Reference

Taps into DocInverter, as an InvertedDocEndConsumer, which is called at the end of inverting each field. We just look at the length for the field (docState.length) and record the norm. More...

`#include <NormsWriterPerField.h>`

Inheritance diagram for Lucene::NormsWriterPerField:

## Public Member Functions

| NormsWriterPerField (const DocInverterPerFieldPtr &docInverterPerField, const NormsWriterPerThreadPtr &perThread, const FieldInfoPtr &fieldInfo)
virtual | ~NormsWriterPerField ()
virtual String | getClassName ()
boost::shared_ptr< NormsWriterPerField > | shared_from_this ()
void | reset ()
virtual void | abort ()
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual void | finish ()
Public Member Functions inherited from Lucene::InvertedDocEndConsumerPerField
virtual | ~InvertedDocEndConsumerPerField ()
boost::shared_ptr< InvertedDocEndConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::InvertedDocEndConsumerPerField
static String | _getClassName ()

## Data Fields

NormsWriterPerThreadWeakPtr | _perThread
FieldInfoPtr | fieldInfo
DocStatePtr | docState
Collection< int32_t > | docIDs
ByteArray | norms
int32_t | upto
FieldInvertStatePtr | fieldState

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Taps into DocInverter, as an InvertedDocEndConsumer, which is called at the end of inverting each field. We just look at the length for the field (docState.length) and record the norm.

## Constructor & Destructor Documentation

Lucene::NormsWriterPerField::NormsWriterPerField | ( | const DocInverterPerFieldPtr & | docInverterPerField,
|  | const NormsWriterPerThreadPtr & | perThread,
|  | const FieldInfoPtr & | fieldInfo
| ) |  |

virtual Lucene::NormsWriterPerField::~NormsWriterPerField | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::NormsWriterPerField::_getClassName | ( |  | ) |

inline static

virtual void Lucene::NormsWriterPerField::abort | ( |  | ) |

virtual

Implements Lucene::InvertedDocEndConsumerPerField.

virtual int32_t Lucene::NormsWriterPerField::compareTo | ( | const LuceneObjectPtr & | other | ) |

virtual

Compare two objects.

Reimplemented from Lucene::LuceneObject.

virtual void Lucene::NormsWriterPerField::finish | ( |  | ) |

virtual

Implements Lucene::InvertedDocEndConsumerPerField.

virtual String Lucene::NormsWriterPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::InvertedDocEndConsumerPerField.

void Lucene::NormsWriterPerField::reset | ( |  | ) |

boost::shared_ptr< NormsWriterPerField > Lucene::NormsWriterPerField::shared_from_this | ( |  | ) |

inline

## Field Documentation

NormsWriterPerThreadWeakPtr Lucene::NormsWriterPerField::_perThread

Collection<int32_t> Lucene::NormsWriterPerField::docIDs

DocStatePtr Lucene::NormsWriterPerField::docState

FieldInfoPtr Lucene::NormsWriterPerField::fieldInfo

FieldInvertStatePtr Lucene::NormsWriterPerField::fieldState

ByteArray Lucene::NormsWriterPerField::norms

int32_t Lucene::NormsWriterPerField::upto

The documentation for this class was generated from the following file:

- NormsWriterPerField.h

clucene.sourceforge.net